Subject: Re: [PATCH v1 5/5] coresight: etm4x: save/restore state across CPU low power states

From: Sudeep Holla <[email-masked]>
Date: Thu, 20 Jun 2019 17:48:57 +0100

On Wed, Jun 19, 2019 at 11:38:12AM +0100, Suzuki K Poulose wrote:

[...]

> >
> > I prefer to do this conditionally. It's unnecessary on systems which
> > don't ignore the TRCPDCR.PU and I really don't like them to be penalised
> > while we want to add this support for *broken* systems.
>
> It is conditional. i.e, you may disable the operation using a kernel/module
> parameter, which I think should be mentioned in the description here.
>

Thanks Suzuki for pointing this out. I completely missed this when I
read this email earlier. I am fine with that approach as long as the
default is flipped. Platforms must enable the feature and by enabling
save/restore they implicitly understand the latency impacts for idle.

--
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel